> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify income



## OpenAPI

````yaml openapi/lending.yaml post /lending/income/verify
openapi: 3.0.3
info:
  title: TXCloud LendingRisk API
  version: 1.0.0
  description: |
    Credit risk assessment and affordability analysis for lending decisions.
    Aggregates data from bank statements, bureaus, and alternative sources.
servers:
  - url: https://api.txcloud.io/v1
  - url: https://sandbox.api.txcloud.io/v1
security:
  - BearerAuth: []
tags:
  - name: Assessment
    description: Credit assessment endpoints
  - name: Income
    description: Income verification
  - name: Statements
    description: Bank statement analysis
  - name: Monitoring
    description: Borrower monitoring
  - name: Models
    description: Scoring models
  - name: Analytics
    description: Portfolio analytics
paths:
  /lending/income/verify:
    post:
      tags:
        - Income
      summary: Verify income
      operationId: verifyIncome
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IncomeVerifyRequest'
      responses:
        '200':
          description: Income verification result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IncomeVerification'
components:
  schemas:
    IncomeVerifyRequest:
      type: object
      required:
        - applicant_id
        - stated_income
      properties:
        applicant_id:
          type: string
        stated_income:
          type: number
        currency:
          type: string
        income_type:
          type: string
        statement_ids:
          type: array
          items:
            type: string
    IncomeVerification:
      type: object
      properties:
        id:
          type: string
        verified:
          type: boolean
        match:
          type: boolean
        stated_income:
          type: number
        detected_income:
          type: number
        variance:
          type: number
        income_sources:
          type: array
          items:
            type: object
        stability:
          type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````